# std::ios_base::imbue

From cppreference.com
< cpp‎ | io‎ | ios base

std::locale imbue( const std::locale& loc ); |  |

Sets the associated locale of the stream to the given one. Before returning, each function, registered by register_callback() is called with `imbue_event` as a parameter.

### Parameters

loc | - | new locale to associate the stream to

### Return value

The locale object, associated with the stream before the operation

### Example

| This section is incomplete Reason: no example

### See also

getloc | returns current locale (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/ios_base/imbue&oldid=64165"